# draugr.drawers.mpl_drawers.distribution_plot.DistributionPlot

class draugr.drawers.mpl_drawers.distribution_plot.DistributionPlot(window_length: Optional [ int ] = None, title: str = '', data_label: str = 'Magnitude', reverse: bool = False, overwrite: bool = False, render: bool = True, *, bins=None, range=None, density=False, weights=None, cumulative=False, bottom=None, histtype='bar', align='mid', orientation='vertical', rwidth=None, log=False, color=None, label=None, stacked=False, data=None, default_delta: float = 0.008333333333333333, placement: Tuple [ int , int ] = None)

  Bases: `MplDrawer`

  description

  __init__(window_length: Optional [ int ] = None, title: str = '', data_label: str = 'Magnitude', reverse: bool = False, overwrite: bool = False, render: bool = True, *, bins=None, range=None, density=False, weights=None, cumulative=False, bottom=None, histtype='bar', align='mid', orientation='vertical', rwidth=None, log=False, color=None, label=None, stacked=False, data=None, default_delta: float = 0.008333333333333333, placement: Tuple [ int , int ] = None)
    Parameters

      - default_delta –

      - render –

      - placement –

      - kwargs –

  Methods

  `__init__`([window_length, title, data_label, ...])

  param default_delta

  `close`() | description
  `draw`(data[, delta]) | description
  `move_figure`(figure[, x, y]) | Move figure's upper left corner to pixel (x, y)

  Attributes

  close()

    description

  draw(data: Any, delta: Optional [ float ] = None)

    description

  static move_figure(figure: Figure, x: int = 0, y: int = 0)

    Move figure’s upper left corner to pixel (x, y)

  n

    fig_manager = pyplot.get_current_fig_manager() geom = fig_manager.window.geometry() x, y, dx, dy = geom.getRect() fig_manager.window.setGeometry(*placement, dx, dy) fig_manager.window.SetPosition((500, 0))